#ifndef __ASM_BREAKPOINT_H
#define __ASM_BREAKPOINT_H

extern void __ptrace_cancel_bpt (struct task_struct *);
extern int ptrace_set_bpt (struct task_struct *);

static inline int 
ptrace_query_bpt (struct task_struct *child)
{
	return (child->tss.debug[4]);
}

static inline int
ptrace_cancel_bpt (struct task_struct *child)
{
	int r;
	if (r = ptrace_query_bpt (child), r == 0)
		return 0;

	__ptrace_cancel_bpt (child);
	return r;
}

#endif
